Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.input.util
Class NumericalExpression

    java.lang.Object
      jpicedt.format.input.util.AbstractRegularExpression
          jpicedt.format.input.util.NumericalExpression

All Implemented Interfaces:
  ExpressionConstants

public class NumericalExpression
extends AbstractRegularExpression

An expression containing only digits, possibly preceded by whitespaces ; a post-delimiters can be specified, as well as the number's type (int or double) and its sign

Since:
  jpicedt 1.3
Version:
  $Id: NumericalExpression.java,v 1.4.2.1 2007/09/02 11:56:13 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.format.input.util.ExpressionConstants
`ANY_CHAR, ANY_CHAR_EOL, ANY_SIGN, AT_LEAST, AT_MOST, DEBUG, DOUBLE, EOL, EXACTLY, INTEGER, NEGATIVE, NON_NULL, POSITIVE, STRICTLY_NEGATIVE, STRICTLY_POSITIVE, WHITE_SPACES, WHITE_SPACES_OR_EOL`

Constructor Summary
`NumericalExpression()` Constructor w/o postfix, type=DOUBLE and sign=ANY_SIGN.
`NumericalExpression(int numberType, int sign)` Constructor w/o postfix, i.e.
`NumericalExpression(int numberType, int sign, String postfix, boolean swallowPostFix)`

Method Summary
`Number` | `getValue()` Return the parsed value, wrapped in a Number (either Integer or Double)
`boolean` | `interpret(Context context)` Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.
`String` | `toString()`

Methods inherited from class jpicedt.format.input.util.AbstractRegularExpression
`action`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericalExpression

    public NumericalExpression(int numberType,
                               int sign,
                               String postfix,
                               boolean swallowPostFix)

Parameters:
  `numberType` - INTEGER or DOUBLE
  `sign` - ANY_SIGN, POSITIVE, NEGATIVE, STRICTLY_POSITIVE, STRICTLY_NEGATIVE or NON_NULL
  `postfix` - a String that signals the end of this numerical expression (if NULL, swallows as many digits as possible)
  `swallowPostFix` - if TRUE, move cursor JUST BEHIND the postfix; else move it TO THE POSTFIX POSITION N/A if postFix is null.

### NumericalExpression

    public NumericalExpression(int numberType,
                               int sign)

  Constructor w/o postfix, i.e. parse as many digits as possible.

Parameters:
  `numberType` - INTEGER or DOUBLE
  `sign` - ANY_SIGN, POSITIVE, NEGATIVE, STRICTLY_POSITIVE, STRICTLY_NEGATIVE or NON_NULL

### NumericalExpression

    public NumericalExpression()

  Constructor w/o postfix, type=DOUBLE and sign=ANY_SIGN.

Method Detail

### interpret

    public boolean interpret(Context context)
                      throws REParserException

  Description copied from class: `AbstractRegularExpression`
  Parses this expression, possibly using the given Context to fetch the String to interpret if this Expression is a leaf expression.

  Specified by:
    `interpret` in class `AbstractRegularExpression`
  Returns:
    TRUE if expr has been found on the current line Calls action() in case of successful parsing, and send a ParserEvent with value=parsed number.
  Throws:
    `REParserException` - if an error occur during parsing

### getValue

    public Number getValue()

  Return the parsed value, wrapped in a Number (either Integer or Double)

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org